summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-07-02 16:26:52 +0200
committerPacho Ramos <pacho@gentoo.org>2016-07-02 19:09:49 +0200
commit7a1742934516a7edf560f0dfa3521046925eeb9c (patch)
treeb0fe59078307a3fe769f914e00f219f5db44b6b5
parentgnome-extra/nautilus-sendto: Drop old (diff)
downloadgentoo-7a1742934516a7edf560f0dfa3521046925eeb9c.tar.gz
gentoo-7a1742934516a7edf560f0dfa3521046925eeb9c.tar.bz2
gentoo-7a1742934516a7edf560f0dfa3521046925eeb9c.zip
gnome-extra/nautilus-sendto: Version bump
Package-Manager: portage-2.3.0_rc1
-rw-r--r--gnome-extra/nautilus-sendto/Manifest1
-rw-r--r--gnome-extra/nautilus-sendto/nautilus-sendto-3.8.4.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/gnome-extra/nautilus-sendto/Manifest b/gnome-extra/nautilus-sendto/Manifest
index e52fcce0f9a..6523ac88f72 100644
--- a/gnome-extra/nautilus-sendto/Manifest
+++ b/gnome-extra/nautilus-sendto/Manifest
@@ -1 +1,2 @@
DIST nautilus-sendto-3.8.3.tar.xz 377928 SHA256 7ba1c37280e232b06d8e5097c584fab2e05f2b2eb2c5e9c7be8a765af063830c SHA512 936a8543857783b4bd4cba16b5297377a1f07c2c24f26b6a943fd4be25bcb542c04397ca0765b4f149f2b6178208d7fa32d6c82afe583433a13aa1109a5b1e5e WHIRLPOOL 1305700ed7f7ea0060fc99b71a364cb1881443a0cc2541a52800a2593438d2298929e8b457b1a4a5b839cf400b4c6658cbe2ab7444feead0cde2b22ceccfc1ad
+DIST nautilus-sendto-3.8.4.tar.xz 380180 SHA256 51065c6e2601560a8bc507c7aee8e967dc6c6f355c6a05a1d4e7e1fe76b908e7 SHA512 e6ba8fbb4646dce710119e2720b3482ecdb7e99f1fd53528de97ed015519aaf8bfe2339091630813e7feaf2d2d9a9a8495568c294fc00472046370c4e097df86 WHIRLPOOL 71765fed70cb1cf0347d973d0c14062667a6f91715f6e25021efd835dc825091d7d6b41e2f196fc1aa20693db241be1c78e9ca2ebfd65acd32b9f9bfe7780c5a
diff --git a/gnome-extra/nautilus-sendto/nautilus-sendto-3.8.4.ebuild b/gnome-extra/nautilus-sendto/nautilus-sendto-3.8.4.ebuild
new file mode 100644
index 00000000000..03f185a89a0
--- /dev/null
+++ b/gnome-extra/nautilus-sendto/nautilus-sendto-3.8.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="A nautilus extension for sending files to locations"
+HOMEPAGE="https://git.gnome.org/browse/nautilus-sendto/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+
+RDEPEND="
+ >=x11-libs/gtk+-2.90.3:3
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+# Needed for eautoreconf
+# >=gnome-base/gnome-common-0.12
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Does not require introspection at all, bug #561008
+ sed -i -e 's/\(^ \+enable_introspection\)=yes/\1=no/' configure || die
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(usex debug --enable-debug=yes ' ')
+}